### Method

# Devhelp Completion add_string

since: 3.28

#### Declaration [src]

    void
    dh_completion_add_string (
      DhCompletion* completion,
      const gchar* str
    )

#### Description [src]

Adds a string to the `completion` object.

After adding all the strings you need to call dh_completion_sort().

Available since: 3.28

#### Parameters

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.